- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatLib/Random.cpp File Reference

`#include <time.h>`
`#include "Musimat.h"`

Go to the source code of this file.

## Functions
Integer | LCRandom ()
| Didactic wrapper for lCRandom method.
Real | Random (Real L, Real U)
| Didactic wrapper for random method.
Integer | Random (Integer L, Integer U)
| Integer didactic wrapper for random method.
Integer | IRandom (Integer L, Integer U)
| Didactic wrapper for Integer random method.
Integer | SeedRandom (Integer seed)
| Didactic wrapper for seed method.
Integer | Time ()
| Return elapsed seconds since epoch.
## Variables
Static class Random | ran

## Function Documentation

Integer IRandom | ( | Integer | L,
|  | Integer | U |
| ) |  |  |

Didactic wrapper for Integer random method.

Definition at line 32 of file Random.cpp.

References ran, Random::random(), and Return.

Referenced by RandomRow(), and randTendency().

    00033 {
    00034         Return ran.random( L, U );
    00035 }

Integer LCRandom | ( |  | ) |

Didactic wrapper for lCRandom method.

Definition at line 20 of file Random.cpp.

References Random::lCRandom(), ran, and Return.

    00020 { Return ran.lCRandom( ); }

Integer Random | ( | Integer | L,
|  | Integer | U |
| ) |  |  |

Integer didactic wrapper for random method.

Definition at line 27 of file Random.cpp.

References ran, Random::random(), and Return.

    00028 {
    00029         Return ran.random( L, U );
    00030 }

Real Random | ( | Real | L,
|  | Real | U |
| ) |  |  |

Didactic wrapper for random method.

Definition at line 22 of file Random.cpp.

    00023 {
    00024         Return ran.random( L, U );
    00025 }

Integer SeedRandom | ( | Integer | seed | ) |

Didactic wrapper for seed method.

Definition at line 37 of file Random.cpp.

References ran, Return, and Random::seed().

    00038 {
    00039         Return ran.seed( seed );
    00040 }

Integer Time | ( |  | ) |

Return elapsed seconds since epoch.

Get the elapsed seconds since the epoch by calling system time function.

Definition at line 47 of file Random.cpp.

References Random::getTime(), ran, and Return.

    00048 {
    00049         Return ran.getTime();
    00050 }

## Variable Documentation

Static class Random ran

Definition at line 18 of file Random.cpp.

Referenced by IRandom(), LCRandom(), Random(), SeedRandom(), and Time().